//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionPagedTopicOrderingPolicy.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Describes an ordering policy when using a comparator.
 
 @see PTDiffusionPagedTopicDetailsBuilder

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicComparatorOrderingPolicy : PTDiffusionPagedTopicOrderingPolicy

/**
 The full class name of the comparator.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* comparator;

/**
 Compares the receiver to the given paged topic comparator ordering policy.

 @param pagedTopicComparatorOrderingPolicy The paged topic comparator ordering policy object with which to compare the receiver.

 @return `YES` if the paged topic comparator ordering policy is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedTopicComparatorOrderingPolicy:(nullable PTDiffusionPagedTopicComparatorOrderingPolicy *)pagedTopicComparatorOrderingPolicy;

@end

NS_ASSUME_NONNULL_END
