//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionEnumeration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Indicates a sort ordering within a paged topic ordering policy.
 
 @see PTDiffusionPagedRecordTopicDetailsBuilder
 @see PTDiffusionPagedRecordTopicOrderKey
 @see PTDiffusionPagedStringTopicOrderingPolicy

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicOrder : PTDiffusionEnumeration

/**
 @brief The order is ascending - lowest values first.

 @since 5.7
 */
+(instancetype)ascending;

/**
 @brief The order is descending - highest values first.

 @since 5.7
 */
+(instancetype)descending;

@end

NS_ASSUME_NONNULL_END
