//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to routing topics.
 
 @see PTDiffusionRoutingTopicDetailsBuilder

 @since 5.7
 */
@interface PTDiffusionRoutingTopicAttributes : PTDiffusionTopicAttributes

/**
 The routing handler class name.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* handler;

/**
 Compares the receiver to the given routing topic attributes.

 @param routingTopicAttributes The routing topic attributes object with which to compare the receiver.

 @return `YES` if the routing topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToRoutingTopicAttributes:(nullable PTDiffusionRoutingTopicAttributes *)routingTopicAttributes;

@end

NS_ASSUME_NONNULL_END
