//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Base class which has no specific information associated with it.
 
 @see PTDiffusionTopicDetailsBuilder
 
 @since 5.7
 */
@interface PTDiffusionTopicSchema : NSObject <NSCopying>

-(instancetype)init NS_UNAVAILABLE;

/**
 Compares the receiver to the given topic schema.

 @param topicSchema The topic schema object with which to compare the receiver.

 @return `YES` if the topic schema is equal to the receiver, otherwise `NO`.
 
 @since 5.7
 */
-(BOOL)isEqualToTopicSchema:(nullable PTDiffusionTopicSchema *)topicSchema;

@end

NS_ASSUME_NONNULL_END
